MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029086Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-06 22:032018-08-31 17:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029086: Visualization, SelectMgr_ViewerSelector - drop Owners detected only by part of Entities within Box selection
DescriptionCurrent behavior of SelectMgr_ViewerSelector in case of Box/Polyline selection is awkward and unusual - even with SelectMgr_ViewerSelector::AllowOverlapDetection() set to FALSE, detection returns Owners only partially covered (e.g. full covering of single Entity is enough).
Steps To Reproduce
pload MODELING VISUALIZATION
box b 200 20 10
vclear
vinit View1
vaxo
vdisplay -dispMode 1 b
vselprops selHighlight -dispMode -1
vfit
vzoom 0.5
vselect 90 130 130 200 -allowoverlap 0
if { [vreadpixel 140 170 rgb name] != "DARKGOLDENROD3" } { puts "Error: object should 
not be selected!" }
vselect 90 130 310 280 -allowoverlap 0
if { [vreadpixel 140 170 rgb name] == "DARKGOLDENROD3" } { puts "Error: object should 
be selected!" }
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0070295)
git (administrator)
2017-09-06 22:06

Branch CR29086 has been created by kgv.

SHA-1: 4feaa92dd239746cbebe35695a489f7e37bdef55


Detailed log of new commits:

Author: kgv
Date: Wed Sep 6 22:04:25 2017 +0300

    0029086: Visualization, SelectMgr_ViewerSelector - drop Owners detected only by part of Entities within Box selection
(0070296)
kgv (developer)
2017-09-06 22:32

Patch is ready for review.
(0070329)
git (administrator)
2017-09-07 22:44

Branch CR29086 has been updated by kgv.

SHA-1: 4c63c39a1bbe9db2c29aae651dadd6bfdbe09e71


Detailed log of new commits:

Author: kgv
Date: Thu Sep 7 18:29:13 2017 +0300

    Invalid test cases have been removed (checking OPPOSITE to what they are intended to test).

(0070330)
git (administrator)
2017-09-07 22:46

Branch CR29086_1 has been created by kgv.

SHA-1: a60cd2062945c7c4a2a48a0b8bc64a9d0b0fb3cd


Detailed log of new commits:

Author: kgv
Date: Wed Sep 6 22:04:25 2017 +0300

    0029086: Visualization, SelectMgr_ViewerSelector - drop Owners detected only by part of Entities within Box selection
(0070333)
kgv (developer)
2017-09-08 09:35

Test results:

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29086_1-master-KGV/ [^]
(0070402)
san (developer)
2017-09-09 13:07

Branch CR29086_1 reviewed without remarks, ready for testing.
(0070422)
bugmaster (administrator)
2017-09-11 10:51
edited on: 2017-09-11 10:56

Combination:

OCCT : CR29086_1 SHA-1: a60cd2062945c7c4a2a48a0b8bc64a9d0b0fb3cd
Products : master

http://jenkins-test-10.nnov.opencascade.com/view/CR29086_1-master-KGV/ [^]

Number of compiler warnings:

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0071023)
git (administrator)
2017-09-29 17:11

Branch CR29086 has been deleted by kgv.

SHA-1: 4c63c39a1bbe9db2c29aae651dadd6bfdbe09e71
(0071024)
git (administrator)
2017-09-29 17:11

Branch CR29086_1 has been deleted by kgv.

SHA-1: a60cd2062945c7c4a2a48a0b8bc64a9d0b0fb3cd
(0078899)
git (administrator)
2018-08-31 17:17

Branch CR29086_5 has been created by mnv.

SHA-1: cd0d6aee23a874e5e85185303f5c58e605656243


Detailed log of new commits:

Author: mnv
Date: Wed Aug 1 18:09:37 2018 +0300

    0029076: Visualization - implement element shrinking Shader
    
    Element shrinking shader was implemented.
    Added new Interior styles:
    - Pixel Shrink: display shrunk triangulation of surface on pixels
    - Scale Shrink: display shrunk triangulation of surface on scalability
    - Solid Wireframe: display boundaries and surface
    Hollow, HiddenLine, Shrinks and Solid Wireframe interior styles are drawing by shader program with geometry shader.
    Added new parameter for vsetedgetype command:
    [-width] - set width of wireframe line.
    [-scalefactor] - set scale factor value for Scale Shrink presentation.
    Updated vsetinteriorstyle command.
    Updated behaviour of vsetedgetype command.
    Added quad presentation mode.
(0078901)
git (administrator)
2018-08-31 17:19

Branch CR29086_5 has been deleted by mnv.

SHA-1: cd0d6aee23a874e5e85185303f5c58e605656243

- Related Changesets
occt: master 103351cc
Timestamp: 2017-09-06 19:04:25
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029086: Visualization, SelectMgr_ViewerSelector - drop Owners detected only by part of Entities within Box selection
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntitySet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SortCriterion.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - tests/bugs/vis/bug25723 Diff ] File ]
mod - tests/bugs/vis/bug26344 Diff ] File ]
rm - tests/bugs/vis/bug60 Diff ] File ]
rm - tests/bugs/vis/bug61 Diff ] File ]
occt: master be7fc29e
Timestamp: 2017-09-06 19:04:25
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029086: Visualization, SelectMgr_ViewerSelector - drop Owners detected only by part of Entities within Box selection
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntitySet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SortCriterion.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - tests/bugs/vis/bug25723 Diff ] File ]
mod - tests/bugs/vis/bug26344 Diff ] File ]
rm - tests/bugs/vis/bug60 Diff ] File ]
rm - tests/bugs/vis/bug61 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-06 22:03 kgv New Issue
2017-09-06 22:03 kgv Assigned To => kgv
2017-09-06 22:06 git Note Added: 0070295
2017-09-06 22:32 kgv Note Added: 0070296
2017-09-06 22:32 kgv Assigned To kgv => san
2017-09-06 22:32 kgv Status new => resolved
2017-09-07 22:17 kgv Relationship added related to 0000060
2017-09-07 22:17 kgv Relationship added related to 0026147
2017-09-07 22:23 kgv Relationship added related to 0000061
2017-09-07 22:44 git Note Added: 0070329
2017-09-07 22:46 git Note Added: 0070330
2017-09-08 09:35 kgv Note Added: 0070333
2017-09-09 13:07 san Note Added: 0070402
2017-09-09 13:07 san Assigned To san => bugmaster
2017-09-09 13:07 san Status resolved => reviewed
2017-09-11 10:51 bugmaster Note Added: 0070422
2017-09-11 10:51 bugmaster Status reviewed => tested
2017-09-11 10:56 bugmaster Note Edited: 0070422 View Revisions
2017-09-11 15:14 bugmaster Test case number => Not required
2017-09-21 19:33 bugmaster Changeset attached => occt master 103351cc
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:48 apn Target Version 7.4.0* => 7.2.0
2017-09-22 12:02 bugmaster Target Version 7.2.0 => 7.4.0*
2017-09-29 13:26 bugmaster Changeset attached => occt master be7fc29e
2017-09-29 17:11 git Note Added: 0071023
2017-09-29 17:11 git Note Added: 0071024
2018-02-20 12:59 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed
2018-08-31 17:17 git Note Added: 0078899
2018-08-31 17:19 git Note Added: 0078901


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker